import log from 'electron-log/main';
import path from 'node:path';
import { getRootDir } from '../preload/utils';

log.initialize();
log.transports.console.level = false;
log.transports.file.resolvePathFn = () =>
  path.join(getRootDir(), 'logs/main.log');

export default log;
